#!/bin/sh

echo  "#Mpi,Node,PPN,RSCGRP,Solver,Build,Filename,TimeSteps[-],InitTime[s],LastTime[s],Time[s],AveTime[s]"

for log in mpi_*/*/*.sh.l*.simpleFoam
do
    grep "^ExecutionTime" $log >& /dev/null || continue
    joblog=${log%.simpleFoam}
    joblog=${joblog/.sh.l/.sh.o}
    
    cat ${joblog}* $log | gawk -v file=$log -F "[=: ]*" \
'\
BEGIN {n=0;}
/^PJM_NODE=/ {node=$2} \
/^PJM_MPI_PROC=/ {mpi=$2} \
/^PJM_PROC_BY_NODE=/ {ppn=$2} \
/^PJM_RSCGRP=/ {rscgrp=$2} \
/^Build/ {Build=$2} \
/^ExecutionTime/ {(n==0) && t0=$2;n++;t=$2;} \
END {\
match(file, /.*\/solver_([^\/]*)\/.*/, m);\
printf "%d,%d,%d,%s,%s,%s,%s,%d,%g,%g,%g,%g\n",mpi,node,ppn,rscgrp,m[1],Build,file,n,t0,t,t-t0,(t-t0)/(n-1);}\
'
done
