#!/bin/bash
#PJM -S
#PJM -g gt00
#PJM -L elapse=0:15:00
#PJM -L rscgrp=tutorial-flat
#PJM -L node=1
#PJM --mpi proc=64
source share.sh # 共通の設定
$numa surfaceFeatureExtract >& $log.surfaceFeatureExtract # 特徴辺抽出
$numa blockMesh >& $log.blockMesh # ベース格子生成
$numa decomposePar -decomposeParDict system/decomposeParDict.mesh \
  >& $log.decomposePar.mesh # 格子生成用領域分割．-decomposeParDictで領域分割の辞書指定
$mpirun $numa snappyHexMesh -decomposeParDict system/decomposeParDict.mesh \
  -overwrite -parallel >& $log.snappyHexMesh # 並列格子生成
$numa reconstructParMesh -constant >& $log.reconstructParMesh # 格子の再構築
$numa checkMesh -constant >& $log.checkMesh # 格子の品質チェック
