#!/bin/sh
module purge # 標準で有効なmoduleに依存しないよう全moduleをunload
module load intel/2018.1.163 # intelコンパイラ環境をload
export HOME=/work/$(id -gn)/$USER # $HOMEを参照するOFのスクリプト用に設定
# OpenFOAM-v1712環境設定
# KNL版はログインノードやプリポストノードで動作せず，通常版に比べての高速化は僅か
source /work/gt00/share/OpenFOAM/OpenFOAM-v1712/etc/bashrc \
WM_COMPILER=Icc2018_1_163 WM_MPLIB=INTELMPI2018_1_163 # 通常版
#source /work/gt00/share/OpenFOAM/OpenFOAM-v1712/etc/bashrc \
#WM_COMPILER=Icc2018_1_163KNL WM_MPLIB=INTELMPI2018_1_163 # KNL版
source /usr/local/bin/mpi_core_setting.sh # MPIプロセスのピニング
export I_MPI_DEBUG=5 # MPIプロセスのピニング等のデバッグ情報取得
env # 念のため実行時の環境変数を記録しておく
numa="numactl -p 1" # numactl -p 1 : MCDRAMをできるだけ使用
# numactl -p 1付きでのコマンド実行が失敗する場合はCacheモードなので，以降numactlを実行しない
$numa numactl -s 2> /dev/null || numa=""
mpirun="mpiexec.hydra -n $PJM_MPI_PROC" # MPI実行用コマンド($PJM_MPI_PROC=プロセス数)
log=$PJM_JOBNAME.l$PJM_JOBID # ログファイル名のベース=ジョブ名.lジョブID(任意)
