#!/bin/bash
#PJM -S
#PJM -g gt00
#PJM -L elapse=0:15:00
#PJM -L rscgrp=tutorial-flat
#PJM -L node=4
#PJM --mpi proc=256
source share.sh # 共通の設定
module load vtune/2018.1.0.535340 # VTune Amplifier XEのmoduleをload
# VTune Amplifier XEのコマンドamplxe-clをgtoolオプションで指定
# -collect hotspots : hotspot(計算負荷が高い部分)の解析を行う
# -r ディレトリ名:MPIランク範囲 : MPIランク範囲に関する解析結果をディレトリ名に保存
$mpirun -gtool "amplxe-cl -collect hotspots -r $PJM_JOBNAME.v$PJM_JOBID:0" \
$numa simpleFoam -parallel >& $log.simpleFoam # 並列流体解析
